Trip APIs
A Trip represents the travel undertaken by a field agent during their workday.
List Trips
Purpose
To fetch the list of all trips. The records fetched will be sorted by Created Time in descending order (recent ones first).
Request URL
https://fsm.zoho.com/fsm/v1/Trips
Request Method
GET
Scope
scope=ZohoFSM.modules.Trips.READ
Query Parameters
| Parameter Name | Data Type | Description | Possible Values |
| page (optional) | Integer | The page from which you want to fetch the records. The default value is 1. | Positive Integer values only |
| per_page (optional) | Integer | The number of records you want to fetch in a page. The default value is 200. | Positive Integer values only |
Sample Request
Copiedcurl --request GET 'https://fsm.zoho.com/fsm/v1/Trips' \
--header 'Authorization: Zoho-oauthtoken 1000.3xxxxxxxxx.xxxxxxxxxxxxx0e'Sample Response
Copied{
"data": [
{
"Appointment": {
"name": "AP-220",
"id": "1439000002346007"
},
"Owner": {
"name": "Alice Cooper",
"id": "1439000000161001",
"email": "alice@noemail.com"
},
"Description": null,
"$currency_symbol": "$",
"Name": "Trip26",
"Optimized_Path_File": null,
"Modified_By": {
"name": "Alice Cooper",
"id": "1439000000161001",
"email": "alice@noemail.com"
},
"Optimized_Distance": null,
"End_Time": null,
"Exchange_Rate": 1,
"Created_Source": {
"Created_Start_Source_Type": null,
"Created_Start_Longitude": null,
"Created_Start_Source_Name": null,
"Created_Start_Latitude": null
},
"Currency": "USD",
"$inactive": false,
"id": "1439000002400012",
"Distance_Travelled": null,
"Modified_Source": {
"Modified_End_Source_Type": null,
"Modified_End_Longitude": null,
"Modified_End_Source_Name": null,
"Modified_End_Latitude": null
},
"Modified_Time": "2026-03-02T16:32:16+05:30",
"Created_Time": "2026-03-02T16:32:16+05:30",
"$editable": true,
"Duration": null,
"Location_Log": null,
"$permissions": {
"read": true,
"edit": true,
"delete": true
},
"Service_Resource": {
"name": "Alice Cooper",
"id": "1439000000161164"
},
"Start_Time": "2026-03-02T16:32:15+05:30",
"Start_Location": null,
"Created_By": {
"name": "Alice Cooper",
"id": "1439000000161001",
"email": "alice@noemail.com"
},
"End_Location": null
},
{
"Appointment": {
"name": "AP-126",
"id": "1439000001404212"
},
"Owner": {
"name": "Alice Cooper",
"id": "1439000000161001",
"email": "alice@noemail.com"
},
"Description": null,
"$currency_symbol": "$",
"Name": "Trip25",
"Optimized_Path_File": null,
"Modified_By": {
"name": "Alice Cooper",
"id": "1439000000161001",
"email": "alice@noemail.com"
},
"Optimized_Distance": null,
"End_Time": "2025-08-07T23:28:22+05:30",
"Exchange_Rate": 1,
"Created_Source": {
"Created_Start_Source_Type": null,
"Created_Start_Longitude": null,
"Created_Start_Source_Name": null,
"Created_Start_Latitude": null
},
"Currency": "USD",
"$inactive": false,
"id": "1439000001892024",
"Distance_Travelled": {
"unit": "KM",
"value": "0.00"
},
"Modified_Source": {
"Modified_End_Source_Type": null,
"Modified_End_Longitude": null,
"Modified_End_Source_Name": null,
"Modified_End_Latitude": null
},
"Modified_Time": "2025-08-07T23:28:21+05:30",
"Created_Time": "2025-08-07T23:26:03+05:30",
"$editable": true,
"Duration": "2",
"Location_Log": [
{
"mode": "",
"original_Size_Byte": "150",
"extn": "file",
"file_Name": "file_attachment",
"file_Id": "LOCATION_FILE_2007dec3-54fe-4767-bc0c-46a079f4ef15",
"download_Url": "fsm.zoho.com/fsm/v1/stratus/downloadObject?file_id=LOCATION_FILE_2007dec3-54fe-4767-bc0c-46a079f4ef15",
"attachment_Id": "1439000001895071",
"file_Size": "0.15 KB",
"creator_Id": 1439000000161001,
"link_Docs": 0,
"entity_Id": 1439000001892024
}
],
"$permissions": {
"read": true,
"edit": true,
"delete": true
},
"Service_Resource": {
"name": "Alice Cooper",
"id": "1439000000161164"
},
"Start_Time": "2025-08-07T23:26:06+05:30",
"Start_Location": null,
"Created_By": {
"name": "Alice Cooper",
"id": "1439000000161001",
"email": "alice@noemail.com"
},
"End_Location": null
}
],
"info": {
"per_page": 2,
"count": 2,
"page": 1,
"more_records": true
}
}